> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Environment

> Update an environment

## Path Parameters

<ParamField path="id" type="string" required>
  The environment ID to update
</ParamField>

## Request Body

<ParamField body="name" type="string">
  Display name
</ParamField>

## Response

Returns the updated environment object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT 'https://api.example.com/environments/environment_prod' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "name": "Production (US-East)"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "environment_prod",
    "tenantId": "tenant_acme",
    "projectId": "project_api",
    "scopeId": "scope_env_prod",
    "name": "Production (US-East)"
  }
  ```
</ResponseExample>
